Name:		perl-IO-FDPass
Version:	1.1
Release:	2%{?dist}
Summary:	Pass a file descriptor over a socket
License:	GPL+ or Artistic
URL:		http://search.cpan.org/dist/IO-FDPass/
Source0:	https://cpan.metacpan.org/authors/id/M/ML/MLEHMANN/IO-FDPass-%{version}.tar.gz
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	gcc
BuildRequires:	make
BuildRequires:	perl
BuildRequires:	perl-devel
BuildRequires:	perl-generators
BuildRequires:	perl(Canary::Stability)
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module Runtime
BuildRequires:	perl(XSLoader)
# Test Suite
BuildRequires:	perl(Socket)
# Dependencies
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:	perl(XSLoader)

# Avoid provides from private shared objects
%{?perl_default_filter}

%description
This small low-level module only has one purpose: pass a file descriptor to
another process, using a (streaming) unix domain socket (on POSIX systems) or
any (streaming) socket (on WIN32 systems). The ability to pass file descriptors
on Windows is currently the unique selling point of this module. Have I
mentioned that it is really small, too?

%prep
%setup -q -n IO-FDPass-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
find %{buildroot} -type f -name '*.bs' -empty -delete
%{_fixperms} %{buildroot}

%check
make test

%files
%if 0%{?_licensedir:1}
%license COPYING
%else
%doc COPYING
%endif
%doc Changes README
%{perl_vendorarch}/auto/IO/
%{perl_vendorarch}/IO/
%{_mandir}/man3/IO::FDPass.3*

%changelog
* Wed Sep 21 2016 Paul Howarth <paul@city-fan.org> - 1.1-2
- Sanitize for Fedora submission

* Sat Sep 10 2016 Paul Howarth <paul@city-fan.org> - 1.1-1
- Initial RPM build
